org.jboss.jca.common.metadata.merge

## Class Merger.ConfigPropertyFactory

- java.lang.Object
- - org.jboss.jca.common.metadata.merge.Merger.ConfigPropertyFactory

- Enclosing class:
    Merger

      protected static class Merger.ConfigPropertyFactory
      extends java.lang.Object

  A ConfigPropertyFactory.
  Author:
    Stefano Maestri

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ConfigPropertyFactory()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.jboss.jca.common.api.metadata.spec.ConfigProperty` | `createConfigProperty(org.jboss.jca.common.metadata.merge.Merger.ConfigPropertyFactory.Prototype prototype, boolean value)` create a config property from a prototype
    `static org.jboss.jca.common.api.metadata.spec.ConfigProperty` | `createConfigProperty(org.jboss.jca.common.metadata.merge.Merger.ConfigPropertyFactory.Prototype prototype, java.lang.Number value)` create a config property from a prototype
    `static org.jboss.jca.common.api.metadata.spec.ConfigProperty` | `createConfigProperty(org.jboss.jca.common.metadata.merge.Merger.ConfigPropertyFactory.Prototype prototype, java.lang.String value)` create a config property from a prototype

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigPropertyFactory

          protected ConfigPropertyFactory()

  - ### Method Detail

    - #### createConfigProperty

          public static org.jboss.jca.common.api.metadata.spec.ConfigProperty createConfigProperty(org.jboss.jca.common.metadata.merge.Merger.ConfigPropertyFactory.Prototype prototype,
                                                                                                   java.lang.String value)

      create a config property from a prototype
      Parameters:
        `prototype` - prototype
        `value` - value
      Returns:
        the property created

    - #### createConfigProperty

          public static org.jboss.jca.common.api.metadata.spec.ConfigProperty createConfigProperty(org.jboss.jca.common.metadata.merge.Merger.ConfigPropertyFactory.Prototype prototype,
                                                                                                   boolean value)

      create a config property from a prototype
      Parameters:
        `prototype` - prototype
        `value` - value
      Returns:
        the property created

    - #### createConfigProperty

          public static org.jboss.jca.common.api.metadata.spec.ConfigProperty createConfigProperty(org.jboss.jca.common.metadata.merge.Merger.ConfigPropertyFactory.Prototype prototype,
                                                                                                   java.lang.Number value)

      create a config property from a prototype
      Parameters:
        `prototype` - prototype
        `value` - value
      Returns:
        the property created

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)